image: docker:19.03.12
services:
  - docker:19.03.12-dind

stages:
  # - commitlint
  - test

before_script:
  - apk add npm
  - npm install

# commitlint:
#   stage: commitlint
#   image: node:12
#   rules:
#     - if: '$CI_COMMIT_BRANCH != $CI_DEFAULT_BRANCH'
#   allow_failure: true
#   before_script:
#     - npm install --save-dev @commitlint/{config-conventional,cli}
#     - chmod +x commitconfig.sh
#     - ./commitconfig.sh
#   script:
#     - npx commitlint --from=$CI_COMMIT_BEFORE_SHA

# commitlint-default:
#   stage: commitlint
#   image: node:12
#   rules:
#     - if: '$CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH'
#   before_script:
#     - npm install --save-dev @commitlint/{config-conventional,cli}
#     - chmod +x commitconfig.sh
#     - ./commitconfig.sh
#   script:
#     - npx commitlint --from=$CI_COMMIT_BEFORE_SHA

test:
  stage: test
  script:
    - npm test
